package hbase

import (
	"fmt"
	"testing"
)

func TestHBase(t *testing.T) {
	h := NewHBase("11.158.166.161", 100)

	err := h.Init()
	if err != nil {
		t.Error(err)
	}

	rsp, err := h.Insert("test", "key1", "t", "test", []byte("1"))
	if err != nil {
		t.Error(err)
	}
	fmt.Println(rsp)
	rsp, err = h.Get("test", "key1", "t", "test")
	fmt.Println(rsp)
}
